Package org.bukkit.material

# Interface Attachable

All Superinterfaces:
  `Directional`

All Known Subinterfaces:
  `GlowItemFrame`, `Hanging`, `ItemFrame`, `LeashHitch`, `Painting`

All Known Implementing Classes:
  `Banner`, `Button`, `CocoaPlant`, `Ladder`, `Lever`, `PistonExtensionMaterial`, `RedstoneTorch`, `Sign`, `SimpleAttachableMaterialData`, `Torch`, `TrapDoor`, `TripwireHook`

public interface Attachable extends Directional
Indicates that a block can be attached to another block

## Method Summary

Modifier and Type
Method
Description
`@NotNull BlockFace`
`getAttachedFace()`
Gets the face that this block is attached on

### Methods inherited from interface org.bukkit.material.Directional

`getFacing, setFacingDirection`

## Method Details

### getAttachedFace

@NotNull @NotNull BlockFace getAttachedFace()
Gets the face that this block is attached on

Returns:
  BlockFace attached to